package mirage-flow

  1. Overview
  2. No Docs
Flow implementations and combinators for MirageOS

Install

Dune Dependency

Authors

Maintainers

Sources

mirage-flow-v2.0.0.tbz
sha256=61f3b736541ce7b6780def542b2fe99a27acab19f430b52fe7f22ee898faf0ea
sha512=8d95a195c4d37220fa58dfc55acb632bd9874649926a36c1074234b728ad93b6bbc1a8ddb3d90eb74a41279c8228cab4faa05c93610cd06809fce0b7fc3319a8

Description

This repo contains generic operations over Mirage FLOW implementations.

Please consult the API documentation.

Tags

org:mirage

Published: 24 Oct 2019

Dependencies (5)

  1. lwt >= "4.0.0"
  2. fmt
  3. cstruct >= "4.0.0"
  4. dune >= "1.0"
  5. ocaml >= "4.06.0"

Dev Dependencies

None

Used by (22)

  1. awa-mirage < "0.3.1"
  2. capnp-rpc-net >= "0.6.0"
  3. capnp-rpc-unix >= "0.6.0"
  4. cohttp-mirage >= "2.4.0"
  5. conduit-mirage >= "2.0.2" & < "6.2.2"
  6. git-mirage >= "2.1.2" & < "3.0.0"
  7. git-paf >= "3.5.0"
  8. gluten-mirage
  9. h2-mirage >= "0.4.0"
  10. hvsock >= "3.0.0"
  11. mirage-channel >= "4.0.0"
  12. mirage-console >= "3.0.0"
  13. mirage-console-xen >= "4.0.0"
  14. mirage-flow-combinators < "2.0.1"
  15. mirage-flow-unix = "2.0.0"
  16. mirage-protocols >= "4.0.0" & < "8.0.0"
  17. mirage-types >= "3.7.1"
  18. tcpip >= "4.1.0" & < "8.0.1"
  19. tls-mirage < "0.17.4"
  20. vchan >= "5.0.0" & < "6.0.2"
  21. vchan-unix >= "5.0.0"
  22. vchan-xen >= "5.0.0"

Conflicts

None

OCaml

Innovation. Community. Security.